Bug 1014608 - SY quickstart bpel-service/xts_subordinate_wsba
SY quickstart bpel-service/xts_subordinate_wsba
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Build Process, Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Nick Cross
lvaskova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 07:42 EDT by lvaskova
Modified: 2014-02-06 10:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:27:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lvaskova 2013-10-02 07:42:41 EDT
Description of problem:
quickstart xts_subordinate_wsba returned HTTP Status 404 as a response to sample requests


Steps to Reproduce:
1. cd bpel-service/xts_subordinate_wsba
2. mvn clean install
3. deploy the bpel process and the web service
   mvn jboss-as:deploy
4. submit request with soap client or use soap-ui (use wsdl in bpel/src/main/resources/DefaultBusinessTravelArtifacts.wsdl and sample request from bpel/src/test/resources/xml) 

Actual results:
JBWEB000065: HTTP Status 404 - /xts_subordinate_default/DefaultBusinessTravel
JBWEB000067: Status report
JBWEB000068: message /xts_subordinate_default/DefaultBusinessTravel
JBWEB000069: description
JBWEB000124: The requested resource is not available.

Expected results:
correct response without error status
Comment 2 Keith Babo 2013-10-02 07:52:32 EDT
Gary - I have a fuzzy recollection that you wanted this qs removed from the product.  Is that right?
Comment 3 Gary Brown 2013-10-02 08:02:40 EDT
Yep that is right - the bpel-service/xts_* examples should be removed.

I'll assign to Julian as these need to be removed as part of productisation.
Comment 4 Nick Cross 2013-12-02 09:46:53 EST
bpel-service/xts_* removed via switchyard-quickstarts build assembly.
Comment 6 lvaskova 2013-12-17 10:37:03 EST
Verified on ER7

Note You need to log in before you can comment on or make changes to this bug.